=head1 NAME

Gtk2::Ruler - wrapper for GtkRuler

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Ruler



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 $ruler-E<gt>B<draw_pos> 

=head2 $ruler-E<gt>B<draw_ticks> 

=head2 metrictype = $ruler-E<gt>B<get_metric> 

=head2 $ruler-E<gt>B<set_metric> ($metric)

=over

=item * $metric (Gtk2::MetricType) 

=back

=head2 (lower, upper, position, max_size) = $ruler-E<gt>B<get_range> 

=head2 $ruler-E<gt>B<set_range> ($lower, $upper, $position, $max_size)

=over

=item * $lower (double) 

=item * $upper (double) 

=item * $position (double) 

=item * $max_size (double) 

=back



=cut


=head1 PROPERTIES

=over

=item 'lower' (double : default 0 : readable / writable / private / static-nick / static-blurb)

Lower limit of ruler

=item 'max-size' (double : default 0 : readable / writable / private / static-nick / static-blurb)

Maximum size of the ruler

=item 'metric' (Gtk2::MetricType : default "pixels" : readable / writable / private / static-nick / static-blurb)

The metric used for the ruler

=item 'position' (double : default 0 : readable / writable / private / static-nick / static-blurb)

Position of mark on the ruler

=item 'upper' (double : default 0 : readable / writable / private / static-nick / static-blurb)

Upper limit of ruler

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::MetricType

=over

=item * 'pixels' / 'GTK_PIXELS'

=item * 'inches' / 'GTK_INCHES'

=item * 'centimeters' / 'GTK_CENTIMETERS'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

